summaryrefslogtreecommitdiff
path: root/ansible/all.sh
diff options
context:
space:
mode:
Diffstat (limited to 'ansible/all.sh')
-rwxr-xr-xansible/all.sh31
1 files changed, 12 insertions, 19 deletions
diff --git a/ansible/all.sh b/ansible/all.sh
index f2b9010..3fbb709 100755
--- a/ansible/all.sh
+++ b/ansible/all.sh
@@ -11,35 +11,28 @@ online() {
}
maybe_run_playbook() {
- if newer "$1.yml" "$1.stamp" && online "$1"; then
+ if ! online "$1"; then
+ echo "UNAVALABLE $1"
+ elif newer "$1.yml" "$1.stamp"; then
echo "$1"
- chronic ./run-playbook "$1.yml"
- touch "$1.stamp"
- else
- echo "SKIPPING $1"
- fi
-}
-
-maybe_run_ansible() {
- if newer "$1.yml" "$1.stamp" && online "$1"; then
- echo "$1"
- chronic run-ansible "$1.hz" "hosts.$2" "$1.yml"
+ ./run-playbook "$1.yml"
touch "$1.stamp"
else
echo "SKIPPING $1"
fi
}
+maybe_run_playbook tursas
maybe_run_playbook solace
maybe_run_playbook exolobe1
maybe_run_playbook exolobe2
maybe_run_playbook stamina
maybe_run_playbook holywood2
-maybe_run_playbook web
maybe_run_playbook atuin.liw.fi
-maybe_run_playbook mirror-git
-
-maybe_run_ansible git.liw.fi git
-maybe_run_ansible http.liw.fi http
-maybe_run_ansible irc.liw.fi irc
-maybe_run_ansible shell-shell.vm.liw.fi shell
+#maybe_run_playbook mirror-git
+maybe_run_playbook git.liw.fi
+maybe_run_playbook apt.liw.fi
+maybe_run_playbook http.liw.fi
+maybe_run_playbook irc.liw.fi
+maybe_run_playbook shell-shell.vm.liw.fi
+maybe_run_playbook finntroll.liw.fi